Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.TextLink Class Reference
Inheritance diagram for FoxitPDFSDKPython3.TextLink:

## Public Member Functions
def | TextLink (other)
| Constructor, with another text link object. More...
def | GetEndCharIndex ()
| Get the index of last character of current hyper-link URI, based on PDF page. More...
def | GetRects ()
| Get the text rectangles of current text link object. More...
def | GetStartCharIndex ()
| Get the index of start character of current hyper-link URI, based on PDF page. More...
def | GetURI ()
| Get URI string. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

A text link is just text content, which represents a hypertext link to a website or a resource on the internet, or an e-mail address.
This class offers functions to get information from the text link.
A text link object is retrieved by function FoxitPDFSDKPython3.PageTextLinks.GetTextLink .

See also
  PageTextLinks

## Constructor & Destructor Documentation

## ◆ TextLink()

def FoxitPDFSDKPython3.TextLink.TextLink | ( |  | other | ) |

Constructor, with another text link object.

Parameters

  [in] | other | Another text link object.

## Member Function Documentation

## ◆ GetEndCharIndex()

def FoxitPDFSDKPython3.TextLink.GetEndCharIndex | ( |  | ) |

Get the index of last character of current hyper-link URI, based on PDF page.

Returns
  The index of last character, starting from 0.

## ◆ GetRects()

def FoxitPDFSDKPython3.TextLink.GetRects | ( |  | ) |

Get the text rectangles of current text link object.

Returns
  An array of rectangles.

## ◆ GetStartCharIndex()

def FoxitPDFSDKPython3.TextLink.GetStartCharIndex | ( |  | ) |

Get the index of start character of current hyper-link URI, based on PDF page.

Returns
  The index of start character, starting from 0.

## ◆ GetURI()

def FoxitPDFSDKPython3.TextLink.GetURI | ( |  | ) |

Get URI string.

A text link's URI can be a hypertext link to a website or a resource on the internet. It can also be an e-mail address.

Returns
  URI string.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.TextLink.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.